8
BadOne  3
First Second
Second First

GoodTwo 2
Third Fourth

GoodThree 1

BadFour 6
a b
a c
b c
d e
d f
e f

GoodFive 8
a b
c d
e f
g h
b c
c a
f d
e d
g f

BadSix 7
A B
E F
G D
C A
B B
B C
F G
E G
D F

GoodSeven 5
aa bb
aa cc
aa dd
aa ee

BadEight 6
aaa bbb
ccc ddd
eee fff

YouShouldNotReadThis 1
